{% extends "base.html" %}

{% block navbar %}
    <nav class="row mb-2 mr-0 navbar navbar-expand-lg navbar-dark bg-dark">
        <!-- Navbar Brand -->
        <span class="col-auto navbar-brand">
            <img src="{{ url_for('static', filename='img/SCC_Logo.png') }}" class="align-top scc-brand mr-3" alt="">
            AP-Liste
        </span>
        <button class="col-auto mr-2 btn btn-primary d-block d-xl-none" type="button" data-toggle="collapse" data-target="#filter-toolbar" aria-expanded="false" aria-controls="collapseFilters">Filter</button>
        <button class="col-auto mr-2 btn btn-secondary" type="button" aria-pressed="false" id="help-button">
            <i class="fas fa-question-circle"></i> Hilfe / <i class="fas fa-info-circle"></i> Über
        </button>
        <span class="d-inline-block" tabindex="0"data-toggle="tooltip" data-placement="bottom" title="Letzte Aktualisierung der Daten.">
        <button class="col-auto mr-auto btn btn-secondary btn-label" type="button" disabled="disabled" aria-disabled="true" id="timestamp-button">
            <i class="fas fa-sync-alt mr-2" id="timestamp-sync-icon"></i><span></span>
        </button>
        </span>
        <!-- Navbar Toggler -->
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
            <i class="fas fa-search navbar-toggler-icon"></i>
        </button>
        <!-- Navbar Content -->
        <div class="row col-lg-auto mt-2 mt-lg-0 pr-0 collapse navbar-collapse" id="collapsibleNavbar">
            <div class="col mb-2 mb-lg-0">

            </div>
            <form class="col-12 col-lg-auto mb-2 mb-lg-0 ml-auto form-inline">
                <input class="col-12 col-lg-auto mb-2 mb-lg-0 mr-lg-2 form-control" type="search" id="search_field" placeholder="Suche (RegEx)" aria-label="Search">
                <button class="col-12 col-lg-auto btn btn-outline-light" type="reset" id="search_reset">Suche zurücksetzen</button>
            </form>
        </div>
    </nav>
{% endblock %}

{% block content %}
    <main class="container-fluid" role="main">
        <div class="row mb-2 btn-toolbar collapse" role="toolbar" aria-label="Filter Toolbar" id="filter-toolbar">
            <div class="row col-12 col-xl-6 mb-2 mb-md-1 mx-0" id="site-filters">
                <span class="col-12 col-md-2 btn disabled btn-label">Standorte:</span>
                <button class="col-12 col-md mb-1 mb-md-0 mr-auto mr-md-2 btn btn-outline-primary" type="button" aria-pressed="false" data-filter="^(was.*|ws[s\-\d].*).*$">
                    Campus Süd
                    <span class="badge badge-secondary ml-2" id="cs-badge"></span>
                </button>
                <button class="col-12 col-md mb-1 mb-md-0 mr-auto mr-md-2 btn btn-outline-primary" type="button" aria-pressed="false" data-filter="^(wan.*|wn.*|wsn.*)$">
                    Campus Nord
                    <span class="badge badge-secondary ml-2" id="cn-badge"></span>
                </button>
                <button class="col-12 col-md btn btn-outline-primary" type="button" aria-pressed="false" data-filter="^(?!was|ws[s\-\d]|wan|wn|wsn).*$">
                    Sonstige
                    <span class="badge badge-secondary ml-2" id="misc-site-badge"></span>
                </button>
            </div>
            <div class="row col-12 col-xl-6 mb-2 mb-md-1 mx-0" id="ping-filters">
                <span class="col-12 col-md-2 btn disabled btn-label">Ping:</span>
                <button class="col-12 col-md mb-1 mb-md-0 mr-auto mr-md-2 btn btn-outline-primary" type="button" aria-pressed="false" data-filter="up">
                    <i class="fas fa-check text-success"></i>
                    <span class="badge badge-success ml-2" id="up-badge"></span>
                </button>
                <button class="col-12 col-md mb-1 mb-md-0 mr-auto mr-md-2 btn btn-outline-primary" type="button" aria-pressed="false" data-filter="down">
                    <i class="fas fa-times text-danger"></i>
                    <span class="badge badge-danger ml-2" id="down-badge"></span>
                </button>
                <button class="col-12 col-md btn btn-outline-primary" type="button" aria-pressed="false" data-filter="-">
                    -
                    <span class="badge badge-secondary ml-2" id="none-badge"></span>
                </button>
            </div>
            <div class="row col-12 col-xl-6 mb-2 mb-md-1 mb-xl-0 mx-0" id="vendor-filters">
                <span class="col-12 col-md-2 btn disabled btn-label">Hersteller:</span>
                <button class="col-12 col-md mb-1 mb-md-0 mr-auto mr-md-2 btn btn-outline-primary" type="button" aria-pressed="false" data-filter="^aruba.*$">
                    Aruba
                    <span class="badge badge-secondary ml-2" id="aruba-badge"></span>
                </button>
                <button class="col-12 col-md btn btn-outline-primary" type="button" aria-pressed="false" data-filter="^((?!aruba).*)$">
                    Sonstige
                    <span class="badge badge-secondary ml-2" id="misc-vendor-badge"></span>
                </button>
            </div>
            <div class="row col-12 col-xl-6 mb-2 mb-md-1 mb-xl-0 mx-0">
                <span class="col-12 col-md-2 btn disabled btn-label">Probleme:</span>
                <div id="custom-filters">
                    <button class="col-12 col-md-auto mb-1 mb-md-0 mr-auto mr-md-2 btn btn-outline-danger" id="error-filter" type="button" aria-pressed="false" data-filter="True">
                        ND-Fehler
                        <span class="badge badge-secondary ml-2" id="error-badge"></span>
                    </button>
                    <button class="col-12 col-md-auto mb-1 mb-md-0 mr-auto mr-md-2 btn btn-outline-danger" id="speed-filter" type="button" aria-pressed="false" data-filter="True">
                        Speed-Fehler
                        <span class="badge badge-secondary ml-2" id="speed-badge"></span>
                    </button>
                </div>
                <button class="col-12 col-md-auto ml-md-auto btn btn-outline-secondary" type="button" id="reset-filters">Filter zurücksetzen</button>
            </div>
        </div>
        <table id="ap_list" class="table table-sm table-striped table-hover table-responsive-lg" style="width:100%;">
            <thead>
            <tr>
                <th rowspan="2" class="table-primary">Name</th>
                <th rowspan="2" class="table-primary">ND Modul Typ</th>
                <th rowspan="2" class="table-primary">ND Device</th>
                <th colspan="3" class="table-primary text-center">ND Connection</th>
                <th rowspan="2" class="table-primary">ND Dose</th>
                <th rowspan="2" class="table-primary-warning">Speed (Mbit/s)<br>möglich / ist</th>
                <th rowspan="2" class="table-warning">Power (W)</th>
                <th rowspan="2" class="table-success text-center">Ping</th>
                <th rowspan="2" class="table-info">MAC</th>
                <th rowspan="2" class="table-info">Serial #</th>
            </tr>
            <tr>
                <th class="table-primary">Switch</th>
                <th class="table-primary">Port</th>
                <th class="table-primary">Typ</th>
            </tr>
            </thead>
            <tbody>
            </tbody>
        </table>
        <div class="overlay" id="help-overlay">
            <div class="card bg-light overlay-content" id="overlay-card">
                <div class="card-header row">
                    <div class="col-auto">
                        <i class="fas fa-question-circle"></i>&nbsp;Hilfe&nbsp;/&nbsp;<i class="fas fa-info-circle"></i>&nbsp;Über
                    </div>
                    <div class="col-auto ml-auto" id="close-overlay">
                        <i class="fas fa-times"></i>
                    </div>
                </div>
                <ul class="list-group list-group-flush scroll-overlay-card-content">
                    <li class="list-group-item">
                        <h5 class="card-title">Hilfe:</h5>
                        <p class="card-text">
                            Mit der &#x21e7;-Taste können mehrere Spalten zur Sortierung ausgewählt werden.<br>
                            "MAC" und "Serial #" sind derzeit nur für Aruba APs unterstützt.
                        </p>
                    </li>
                    <li class="list-group-item">
                        <h5 class="card-title">Legende:</h5>
                        <div class="row card-text">
                            <div class="col-12 col-xl-6">
                                <h6>Device:</h6>
                                <dl class="row">
                                    <dt class="col-2 text-success text-center"><i class="fas fa-check"></i></dt>
                                    <dd class="col-10">Device existiert</dd>

                                    <dt class="col-2 text-danger text-center"><i class="fas fa-times"></i></dt>
                                    <dd class="col-10">Device existiert nicht</dd>
                                </dl>
                            </div>
                            <div class="col-12 col-xl-6">
                                <h6>Ping:</h6>
                                <dl class="row">
                                    <dt class="col-2 text-success text-center"><i class="fas fa-check"></i></dt>
                                    <dd class="col-10">AP ist erreichbar</dd>

                                    <dt class="col-2 text-danger text-center"><i class="fas fa-times"></i></dt>
                                    <dd class="col-10">AP ist nicht erreichbar</dd>

                                    <dt class="col-2 text-warning text-center"><i class="fas fa-exclamation-circle"></i></dt>
                                    <dd class="col-10">Authentifizierungsfehler (Config fehlerhaft?)</dd>

                                    <dt class="col-2 text-danger text-center"><i class="fas fa-exclamation-triangle"></i></dt>
                                    <dd class="col-10">Icinga nicht erreichbar</dd>
                                </dl>
                            </div>
                        </div>
                    </li>
                    <li class="list-group-item">
                        <h5 class="card-title">Datenquellen:</h5>
                        <div class="row card-text">
                            <div class="col-12 col-xl-6">
                                <ul class="list-group list-group-horizontal-xl">
                                    <li class="list-group-item list-group-item-primary text-body"><b>Netdoc</b></li>
                                    <li class="list-group-item list-group-item-warning text-body"><b>SNMP-Proxy</b></li>
                                    <li class="list-group-item list-group-item-success text-body"><b>Icinga</b></li>
                                    <li class="list-group-item list-group-item-info text-body"><b>Aruba MM-Api</b></li>
                                </ul>
                            </div>
                        </div>
                    </li>
                    <li class="list-group-item">
                        <h5 class="card-title">Über:</h5>
                        <div class="card-text">
                            <div class="row">
                                <dl class="col-12 col-xl-6 row">
                                    <dt class="col-1 text-center"><a data-toggle="collapse" href="#license" role="button" aria-expanded="false" aria-controls="collapseLicense"><i class="fas fa-file-alt"></i></a></dt>
                                    <dd class="col-11"><a data-toggle="collapse" href="#license" role="button" aria-expanded="false" aria-controls="collapseLicense">Lizenz</a></dd>
                                </dl>
                            </div>
                            <div class="row">
                                <div class="col-12 col-xl-6">
                                    <h6>Backend:</h6>
                                    <dl class="row">
                                        <dt class="col-1 text-center"><a id="gitlab-backend-link-icon" href="" target="_blank" rel="noopener noreferrer"><i class="fab fa-gitlab"></i></a></dt>
                                        <dd class="col-11"><a id="gitlab-backend-link" href="" target="_blank" rel="noopener noreferrer"></a></dd>

                                        <dt class="col-1 text-center"><a href="https://gitlab.net.scc.kit.edu/scc-net-wlan/ap-liste/api/issues" target="_blank" rel="noopener noreferrer"><i class="fas fa-bug"></i></a></dt>
                                        <dd class="col-11"><a href="https://gitlab.net.scc.kit.edu/scc-net-wlan/ap-liste/api/issues" target="_blank" rel="noopener noreferrer">Fehler melden</a></dd>
                                    </dl>
                                </div>
                                <div class="col-12 col-xl-6">
                                    <h6>Frontend:</h6>
                                    <dl class="row">
                                        <dt class="col-1 text-center"><a id="gitlab-frontend-link-icon" href="https://gitlab.net.scc.kit.edu/scc-net-wlan/ap-liste/api/tree/{{ version }}" target="_blank" rel="noopener noreferrer"><i class="fab fa-gitlab"></i></a></dt>
                                        <dd class="col-11"><a id="gitlab-frontend-link" href="https://gitlab.net.scc.kit.edu/scc-net-wlan/ap-liste/api/tree/{{ version }}" target="_blank" rel="noopener noreferrer">{{ version }}</a></dd>

                                        <dt class="col-1 text-center"><a href="https://gitlab.net.scc.kit.edu/scc-net-wlan/ap-liste/frontend/issues" target="_blank" rel="noopener noreferrer"><i class="fas fa-bug"></i></a></dt>
                                        <dd class="col-11"><a href="https://gitlab.net.scc.kit.edu/scc-net-wlan/ap-liste/frontend/issues" target="_blank" rel="noopener noreferrer">Fehler melden</a></dd>
                                    </dl>
                                </div>
                            </div>
                        </div>
                    </li>
                    <li class="list-group-item collapse" id="license">
                        <h5 class="card-title">Lizenz:</h5>
                        MIT License<br>
                        Copyright (c) 2020 KIT | Steinbuch Centre for Computing - Abteilung Netze<br>
                        <br>
                        Permission is hereby granted, free of charge, to any person obtaining a copy
                        of this software and associated documentation files (the "Software"), to deal
                        in the Software without restriction, including without limitation the rights
                        to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
                        copies of the Software, and to permit persons to whom the Software is
                        furnished to do so, subject to the following conditions:<br>
                        <br>
                        The above copyright notice and this permission notice shall be included in all
                        copies or substantial portions of the Software.<br>
                        <br>
                        THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
                        IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
                        FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
                        AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
                        LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
                        OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
                        SOFTWARE.
                    </li>
                </ul>
            </div>
        </div>
    </main>
{% endblock %}

{% block scripts %}
    {{super()}}
    <script type="text/javascript" src="{{ url_for('static', filename='js/table.js') }}"></script>
    <script type="text/javascript" src="{{ url_for('static', filename='js/responsive.js')}}"></script>
    <script type="text/javascript" src="{{ url_for('static', filename='js/custom.js')}}"></script>
{% endblock %}